changeset 1632:295ac4f70bdd

<fizzie> sed -i -e \'s/$b $l/$b:$l/\' bin/seen
author HackBot
date Tue, 22 Jan 2013 13:48:56 +0000
parents 620bcedcadee
children 35985562ba72
files bin/seen
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/seen	Tue Jan 22 13:48:38 2013 +0000
+++ b/bin/seen	Tue Jan 22 13:48:56 2013 +0000
@@ -1,2 +1,2 @@
 #! /usr/bin/env perl
-$n=shift @ARGV; $n=~s/ *$//; @f=split /\s+/, `ls -r /var/irclogs/_esoteric/????-??-??.txt | head -n 30`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f; $b=~s#.*/##; print "$b $l[-1]"; exit 1; } } print "not lately";
+$n=shift @ARGV; $n=~s/ *$//; @f=split /\s+/, `ls -r /var/irclogs/_esoteric/????-??-??.txt | head -n 30`; for $f (@f) { open F,"<$f"; @l=grep(/^..:..:..: <$n>/i,<F>); close F; if (@l) { $b=$f; $b=~s#.*/##; print "$b:$l[-1]"; exit 1; } } print "not lately";